/**
* DevExtreme (keyboard_navigation/dom.js)
* Version: 23.1.1 (build 23076-1933)
* Build date: Fri Mar 17 2023
*
* Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { ATTRIBUTES } from './const';

const isDragCell = ($cell) => $cell.attr(ATTRIBUTES.dragCell) !== undefined;

const getCellToFocus = ($cellElements, columnIndex) => $cellElements
    .filter(`[${ATTRIBUTES.ariaColIndex}="${columnIndex + 1}"]:not([${ATTRIBUTES.dragCell}])`)
    .first();

export const GridCoreKeyboardNavigationDom = {
    isDragCell,
    getCellToFocus,
};
