/**
* DevExtreme (row_dragging/dom.js)
* Version: 23.1.1 (build 23076-1933)
* Build date: Fri Mar 17 2023
*
* Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import $ from '../../../core/renderer';
import gridCoreUtils from '../ui.grid_core.utils';
import { ATTRIBUTES, CLASSES } from './const';

const createHandleTemplateFunc = (addWidgetPrefix) => (container, options) => {
    const $container = $(container);
    $container.attr(ATTRIBUTES.dragCell, '');
    if(options.rowType === 'data') {
        $container.addClass(CLASSES.cellFocusDisabled);
        return $('<span>').addClass(addWidgetPrefix(CLASSES.handleIcon));
    } else {
        gridCoreUtils.setEmptyText($container);
    }
};

export const GridCoreRowDraggingDom = {
    createHandleTemplateFunc,
};
